package speiger.src.coreengine.rendering.gui.components.list;

import speiger.src.coreengine.rendering.gui.components.TextComponent;
import speiger.src.coreengine.rendering.gui.helper.Align;

public class TextListEntry extends BaseListEntry
{
	TextComponent text = addComponent(new TextComponent().setLimitedBounds(false).setAlignment(Align.LEFT_TOP, Align.LEFT_TOP).setSpecialRendering(true).setComponentPosition(0F, 0F).cast());
	
	public TextListEntry(String s)
	{
		text.setText(s);
	}
	
	public TextListEntry setScale(float scale)
	{
		text.setTextScale(scale);
		return this;
	}
	
	public String getText()
	{
		return text.getText();
	}
}
